<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_AbsenceCodesResult StructType
 * @subpackage Structs
 */
class Get_AbsenceCodesResult extends ExecutionResult
{
    /**
     * The DayCodes
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfDayCode
     */
    public $DayCodes;
    /**
     * Constructor method for Get_AbsenceCodesResult
     * @uses Get_AbsenceCodesResult::setDayCodes()
     * @param \ArrayType\ArrayOfDayCode $dayCodes
     */
    public function __construct(\ArrayType\ArrayOfDayCode $dayCodes = null)
    {
        $this
            ->setDayCodes($dayCodes);
    }
    /**
     * Get DayCodes value
     * @return \ArrayType\ArrayOfDayCode|null
     */
    public function getDayCodes()
    {
        return $this->DayCodes;
    }
    /**
     * Set DayCodes value
     * @param \ArrayType\ArrayOfDayCode $dayCodes
     * @return \StructType\Get_AbsenceCodesResult
     */
    public function setDayCodes(\ArrayType\ArrayOfDayCode $dayCodes = null)
    {
        $this->DayCodes = $dayCodes;
        return $this;
    }
}
